import pyopus.wxmplplot as pyopl

if __name__ == '__main__':
	# Initialize gui thread. The thread exits when control window is closed. 
	pyopl.init()
	
	# If gui thread was running before init(), there might be some plot windows around. 
	# Close them. 
	pyopl.closeAllFigures()
	
	# Create a figure with default size (matplotlibrc). 
	# The tag is assigned by the sistem and returned by pyopl.figure(). 
	# The last figure created becomes the active figure. 
	f0=pyopl.figure()
	print("pyopl.figure() returned: "+str(f0))
	
	# Create a figure with 400x300 pixels, 100dpi. This gives a 4x3 inch image. 
	# Figure has no tag, the tag is assigned by the system. 
	f1=pyopl.figure(None, windowTitle="Window title 1", figpx=(400,300), dpi=100)	
	print("pyopl.figure() returned: "+str(f1))
	
	# Create a figure with tag 'myfig', 4x4 inches, default dpi (matplotlibrc). 
	f2=pyopl.figure('myfig', windowTitle="Window title 2", figsize=(4,4))	
	print("pyopl.figure() returned: "+str(f2))
	
	# Change window title for active figure. 
	pyopl.windowTitle("Changed window title 2")
	
	# Attempt to create a plot window with an existing tag results in a failure. 
	# None is returned. 
	f3=pyopl.figure('myfig', windowTitle="Another window with tag myfig")	
	print("pyopl.figure() returned: "+str(f3))
	
	# Close a figure. Calling it without an argument closes the active figure. 
	# pyopl.closeFigure(f1)
	
	# Close all figures
	# pyopl.closeAllFigures()
	
	# Clear contents of given figure / active figure 
	# pyopl.clearFigure(f2)
	
	# Show/hide (True/False) figure / active figure
	# pyopl.showfigure(False, f2)
	
	# Raise figure / active figure 
	# pyopl.raiseFigure(f1)
	
	# Retireve all figure tags
	print("Figure tags: "+str(pyopl.getAllFigures()))
	