import pyopus.wxmplplot as pyopl
from numpy import arange, sin, cos, exp, pi, e

if __name__ == '__main__':
	# Initialize gui thread, clean up. 
	pyopl.init()
	pyopl.closeAllFigures()

	# Plot data - sin(x), cos(x), exp(x/pi) .. for x in [0, 2pi] with 0.2 step. 
	x = arange(0.0, 2*pi, 0.2)
	y1 = sin(x)
	y2 = cos(x)
	y3 = exp(x/pi)
	
	# Plot window
	f1=pyopl.figure("fig1", windowTitle="Subplots", figpx=(600,600), dpi=100)
	
	# Disable repainting
	pyopl.repaintFigure(False)
	
	# Create 2 subplots, vertical stack of 2
	ax1=pyopl.subplot(2,1,1)
	ax2=pyopl.subplot(2,1,2)
	
	# First axes
	pyopl.setAxes(ax1)
	pyopl.hold(True)
	pyopl.plot(x, y1, '-o', label='sin(x)', color=(1,0,0))
	pyopl.plot(x, 2*y1, '-o', label='2sin(x)', color=(1,0,0))
	pyopl.grid(True)
	pyopl.xlabel('x')
	pyopl.ylabel('sin(x), 2sin(x)')
	# Titles on vertically stacked axes are a bad idea, because they overlap with x-axis labels. 
	# pyopl.title('Axes 1')
	pyopl.hold(False)
	
	# Second axes
	pyopl.setAxes(ax2)
	pyopl.hold(True)
	pyopl.plot(x, y1, '-', label='sin(x)', color=(1,0,0))
	pyopl.plot(x, y2, '-', label='cos(x)', color=(0,1,0))
	pyopl.grid(True)
	pyopl.xlabel('x')
	pyopl.ylabel('sin(x), cos(x)')
	# pyopl.title('Axes 2')
	pyopl.hold(False)
	
	# Get active figure's active axes
	print("Active axes : "+str(pyopl.getAxes()))
	
	# Get all axes of active figure
	print("All axes : "+str(pyopl.getAllAxes()))
	
	# Delete axes / active axes from active figure
	# pyopl.deleteAxes(ax2)
	
	# Clear axes / active axes on active figure
	# pyopl.clearAxes(ax2)
	
	# Enable repainting
	pyopl.repaintFigure(True)
