import pyopus.wxmplplot as pyopl
from numpy import arange, sin, cos, exp, pi, e

if __name__ == '__main__':
	# Initialize gui thread, clean up. 
	pyopl.init()
	pyopl.closeAllFigures()

	# Plot data - sin(x), cos(x), exp(x/pi) .. for x in [0, 2pi] with 0.2 step. 
	x = arange(0.1, 100.0, 0.2)
	y1 = x**0.8 
	y2 = x 
	y3 = x**1.2 
	
	# Plot window
	f1=pyopl.figure("fig1", windowTitle="Log plots", figpx=(600,600), dpi=100)
	
	# Disable repainting
	pyopl.repaintFigure(False)
	
	# Create 4 subplots, 2x2
	ax1=pyopl.subplot(2,2,1)
	ax2=pyopl.subplot(2,2,2)
	ax3=pyopl.subplot(2,2,3)
	ax4=pyopl.subplot(2,2,4)
	
	# First axes
	pyopl.setAxes(ax1)
	pyopl.hold(True)
	pyopl.plot(x, y1, '-', label='x**0.8')
	pyopl.plot(x, y2, '-', label='x')
	pyopl.plot(x, y3, '-', label='x**1.2')
	pyopl.grid(True)
	pyopl.hold(False)
	
	# Second axes
	pyopl.setAxes(ax2)
	pyopl.hold(True)
	pyopl.semilogx(x, y1, '-', label='x**0.8')
	pyopl.semilogx(x, y2, '-', label='x')
	pyopl.semilogx(x, y3, '-', label='x**1.2')
	pyopl.grid(True)
	pyopl.hold(False)

	# Third axes
	pyopl.setAxes(ax3)
	pyopl.hold(True)
	pyopl.semilogy(x, y1, '-', label='x**0.8')
	pyopl.semilogy(x, y2, '-', label='x')
	pyopl.semilogy(x, y3, '-', label='x**1.2')
	pyopl.grid(True)
	pyopl.hold(False)

	# Fourth axes
	pyopl.setAxes(ax4)
	pyopl.hold(True)
	pyopl.loglog(x, y1, '-', label='x**0.8')
	pyopl.loglog(x, y2, '-', label='x')
	pyopl.loglog(x, y3, '-', label='x**1.2')
	# pyopl.setXAxisScale('linear') # Change x axis
	# pyopl.setYAxisScale('log')	# Change y axis
	pyopl.grid(True)
	pyopl.hold(False)

	# Figure title
	pyopl.figureTitle("Log plots")
	
	# Enable repainting
	pyopl.repaintFigure(True)
